Completing an order placement (checkout)

These endpoints and methods needed to place an order.

GET /order/[ID]

Permission

None.

Response

PUT /order/[ID] or POST /order/[ID]

Requires data fields to be updated for each section: - contact_email - delivery address - billing address - postage type (delivery method)

Permission

None.

Response

Returns OrderResponse

GET /order/[ID]/possible_postage_types

Return a list of possible postage_types (depending on delivery country object found in the order object)

POST /order/[ID]/possible_postage_types

JSON request body param:

{
  "delivery_country": {
    "name": "France",
    "id": "65600022"
  }
}
Permission

None.

Response

Return a list of possible postage_types of specified delivery_country

GET /order/[ID]/basket

Permission

None.

Response

Returns OrderResponse

POST /order/[ID]/basket

Add item to basket or updating existing item's quantity, comprises a list of stockquote id and its quantity pair.

[
  {
    id: 24915128370142,
    quantity: 0
  },
  {
    id: 65852103770142,
    quantity: 1
  },
  {
    id: 55939242920142,
    quantity: 1
  }
]
Permission

None.

Response

Returns OrderResponse

DELETE /order/[ID]/basket

Empty the basket for the specified ORDER_ID

Returns 2OO OK response.